<template>
  <div class="inputBox shadow">
    <input type="text" v-model="newTodoItem" v-on:keyup.enter="addTodo" />
    <span class="addContainer" v-on:click="addTodo">
      <i class="fas fa-plus addBtn"></i>
    </span>
    <modal v-if="showModal" @close="showModal = false">
      <h3 slot="header">
        경고
        <i class="closeModalBtn fas fa-times" v-on:click="showModal = false"></i>
      </h3>
      <h3 slot="body">할일을 입력하세요.</h3>
      <div slot="footer" class="closeContainer">
        <span v-on:click="showModal=false" class="closeBtn">닫기</span>
      </div>
    </modal>
  </div>
</template>

<script>
import Modal from "./common/Modal.vue";
export default {
  data() {
    return {
      newTodoItem: "",
      showModal: false
    };
  },
  methods: {
    addTodo: function() {
      if (this.newTodoItem != "") {
        this.$emit("addTodoOne", this.newTodoItem);
        this.clearInput();
      } else {
        this.showModal = !this.showModal;
      }
    },
    clearInput: function() {
      this.newTodoItem = "";
    }
  },
  components: {
    Modal: Modal
  }
};
</script>

<style scoped>
input:focus {
  outline: none;
}
.inputBox {
  background: white;
  height: 50px;
  line-height: 50px;
  border-radius: 5px;
}
.inputBox input {
  border-style: none;
  font-size: 0.9rem;
}
.addContainer {
  float: right;
  background: linear-gradient(to right, #6478fb, #8763fb);
  display: block;
  width: 3rem;
  border-radius: 0 5px 5px 0;
}
.addBtn {
  color: white;
  vertical-align: middle;
  cursor: pointer;
}
.closeContainer {
  text-align: center;
  background: linear-gradient(to right, #5d5d5d, #3f3f3f);
  display: inline-block;
  width: 3rem;
  border-radius: 5px;
}
.closeModalBtn {
  color: #42b983;
}
.closeBtn {
  display: inline-block;
  color: white;
  vertical-align: middle;
  cursor: pointer;
}
</style>
